import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineAllMultiplatformTargets
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.optInContracts
import ru.landgrafhomyak.kotlin.kmp_gradle_build_helper.defineXomrkGiteaMavenRepo

buildscript {
	repositories {
		maven("https://maven.landgrafhomyak.ru/")
	}

	dependencies {
		classpath("ru.landgrafhomyak.kotlin:kotlin-mpp-gradle-build-helper:v0.1k2.0.20")
	}
}


plugins {
	kotlin("multiplatform") version "2.0.20"
	`maven-publish`
}

group = "ru.landgrafhomyak.kotlin"
version = "v1.0k2.0.20"

repositories {
	mavenCentral()
}

kotlin {
	explicitApi()
	jvmToolchain(8)
	optInContracts()
	defineAllMultiplatformTargets()
}

publishing {
	// other settings of publication
	repositories {
		defineXomrkGiteaMavenRepo()
	}
}